/holders/count

Returns a holder count for an ERC20 token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Get your api key @ https://web3shards.io/console
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getHolderList = async function() {
    const token = "0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce";
    const type = "erc20";
    const resp = await shards.holders.getHolderCount(token, type);
    console.log(resp)
}

getHolderList();
Query Params
string
enum
Defaults to eth

The target chain.

Allowed:
string
Defaults to 0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce

The token address

string
enum
Defaults to erc20

The type of asset

Allowed:
Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain